# $Id: smeserver-mailstats.spec,v 1.10 2016/04/10 17:25:54 unnilennium Exp $
# Authority: brianread
# Name: Brian Read

Summary: Daily mail statistics for SME Server
%define name smeserver-mailstats
Name: %{name}
%define version 1.0
%define release 9
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME/addon
Source: %{name}-%{version}.tgz
Patch0: smeserver-mailstats-1.0-auth_cvm_unix_local.patch
Patch1: smeserver-mailstats-1.0-spamfilter.patch
Patch2: smeserver-mailstats-1.0-random-cron_and_spamfilter-stats-7-update.patch
Patch3: smeserver-mailstats-1.0.bz9115.Spamassassin_scores_and_tags-geoip.patch
Patch4: smeserver-mailstats-1.0.bz8957.Create_the_mailstats_user.patch
Patch5: smeserver-mailstats-1.0-628.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-release => 8.0
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
A script that via cron.d e-mails mail statistics to admin on a daily basis.
See http://www.contribs.org/bugzilla/show_bug.cgi?id=819

%changelog
* Sun Apr 10 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-9.sme
- account for all unknown qpsmtpd plugins [SME: 9428]
- extra for "unofficial" extra clamav signatures 
- code by  Brian Read <brianr@bjsystems.co.uk>
- (only small suggestions from JP Pialasse aka Unnilennium)

*Fri Nov 06 2015  JP Pialasse <tests@pialasse.com> 1.1-8.sme
- backport SME9 patch [SME: 9115]
- Fixed the problem with Spamassassin scores and tags.
- Also added Geoip league table [SME: 8656]
- code done by  Brian Read <brianr@bjsystems.co.uk>
- fix missing user [SME: 8957]

* Sun Jun 14 2015 stephane de labrusse <stephdl@de-labrusse.fr> 1.0-6
- added a random cron job
- spamfilter-stats-7-update
- code done by Brian Read <brianr@bjsystems.co.uk> and John Crisp <jcrisp@safeandsoundit.co.uk>

* Mon Sep 23 2013 JP Pialasse <tests@pialasse.com> 1.1-4.sme
- uninitialized value in sprintf [SME: 4747]
- patch  smeserver-mailstats-1.0-spamfilter.patch

* Sun Sep 09 2012 JP Pialasse <tests@pialasse.com> 1.1-2.sme
- fix Unexpected failure string in log file: auth::auth_cvm_unix_local see [SME 7089]

* Sat May 26 2012 Brian J read <brianr@bjsystems.co.uk> 1.0-1.sme
- Initial version

%prep
%setup
%patch0 -p1 
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1


%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
